Subscription
List subscriptions
定期課金を一覧で取得します。
AuthorizationBearer <token>
API呼出すの認証は、秘密鍵を認証トークンとして扱い、Bearer 認証経由で行われます。 秘密鍵は、全ての API リクエスト操作が可能となる重要なキーなので、取扱いにご注意ください。
In: header
Query Parameters
customerId?string
Customer ID
from?integer
開始時間(エポックミリ秒)、指定した時間以降に作成されたデータを取得します
Format
int64to?integer
終了時間(エポックミリ秒)、指定した時間以前に作成されたデータを取得します
Format
int64status?string
定期課金ステータス
Value in
"new" | "active" | "past_due" | "canceled"limit?integer
最大件数
Default
20Range
value <= 100offset?integer
検索開始位置
Default
0Response Body
application/json;charset=utf-8
curl -X GET "https://api.elepay.io/subscriptions"{
"total": 0,
"subscriptions": [
{
"id": "string",
"appId": "string",
"object": "subscription",
"liveMode": true,
"customerId": "string",
"customer": {
"id": "string",
"object": "customer",
"liveMode": true,
"defaultSource": "string",
"name": "string",
"description": "string",
"email": "string",
"phone": "string",
"remark": "string",
"operator": "string",
"status": "active",
"metadata": {
"property1": "string",
"property2": "string"
},
"updateTime": 0
},
"nextChargeTime": 0,
"isCharging": true,
"chargedPeriods": 0,
"metadata": {
"property1": "string",
"property2": "string"
},
"status": "new",
"createTime": 0,
"updateTime": 0
}
]
}